import secret_loader


def test_init():
    loader = secret_loader.SecretLoader(ENV_KEY_PREFIX = 'TEST', KEY = 'VALUE')
    assert loader.load('ENV_KEY_PREFIX') == 'TEST'
    assert loader.load('KEY') == 'VALUE'

def test_lookup_unknown():
    loader = secret_loader.SecretLoader()
    assert loader.load('UNKNOWN') is None
